package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import com.bpcl.core.jalo.ProcessPendingRefillCronjob;
import com.bpcl.lpg.core.constants.GeneratedBpcllpgcoreConstants;
import de.hybris.platform.cronjob.jalo.CronJob;
import de.hybris.platform.jalo.extension.ExtensionManager;
import de.hybris.platform.jalo.JaloSession;
import de.hybris.platform.jalo.type.ComposedType;
import de.hybris.platform.jalo.JaloBusinessException;
import de.hybris.platform.jalo.type.JaloGenericCreationException;
import de.hybris.platform.jalo.JaloSystemException;
import de.hybris.platform.jalo.SessionContext;
import java.util.HashMap;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.extension.Extension;

@SLDSafe
public class BpcllpgcoreManager extends Extension
{
    protected static final Map<String, Map<String, Item.AttributeMode>> DEFAULT_INITIAL_ATTRIBUTES;
    
    public Map<String, Item.AttributeMode> getDefaultAttributeModes(final Class<? extends Item> itemClass) {
        final Map<String, Item.AttributeMode> ret = new HashMap<String, Item.AttributeMode>();
        final Map<String, Item.AttributeMode> attr = BpcllpgcoreManager.DEFAULT_INITIAL_ATTRIBUTES.get(itemClass.getName());
        if (attr != null) {
            ret.putAll(attr);
        }
        return ret;
    }
    
    public AlternateNumberOtp createAlternateNumberOtp(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("AlternateNumberOtp");
            return (AlternateNumberOtp)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating AlternateNumberOtp : " + e2.getMessage(), 0);
        }
    }
    
    public AlternateNumberOtp createAlternateNumberOtp(final Map attributeValues) {
        return this.createAlternateNumberOtp(this.getSession().getSessionContext(), attributeValues);
    }
    
    public BDADeliveryChallan createBDADeliveryChallan(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("BDADeliveryChallan");
            return (BDADeliveryChallan)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating BDADeliveryChallan : " + e2.getMessage(), 0);
        }
    }
    
    public BDADeliveryChallan createBDADeliveryChallan(final Map attributeValues) {
        return this.createBDADeliveryChallan(this.getSession().getSessionContext(), attributeValues);
    }
    
    public BpclEkycConsents createBpclEkycConsents(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("BpclEkycConsents");
            return (BpclEkycConsents)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating BpclEkycConsents : " + e2.getMessage(), 0);
        }
    }
    
    public BpclEkycConsents createBpclEkycConsents(final Map attributeValues) {
        return this.createBpclEkycConsents(this.getSession().getSessionContext(), attributeValues);
    }
    
    public BpclEkycTransaction createBpclEkycTransaction(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("BpclEkycTransaction");
            return (BpclEkycTransaction)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating BpclEkycTransaction : " + e2.getMessage(), 0);
        }
    }
    
    public BpclEkycTransaction createBpclEkycTransaction(final Map attributeValues) {
        return this.createBpclEkycTransaction(this.getSession().getSessionContext(), attributeValues);
    }
    
    public BpclEkycUpdateStatus createBpclEkycUpdateStatus(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("BpclEkycUpdateStatus");
            return (BpclEkycUpdateStatus)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating BpclEkycUpdateStatus : " + e2.getMessage(), 0);
        }
    }
    
    public BpclEkycUpdateStatus createBpclEkycUpdateStatus(final Map attributeValues) {
        return this.createBpclEkycUpdateStatus(this.getSession().getSessionContext(), attributeValues);
    }
    
    public BpclPasswordAudit createBpclPasswordAudit(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("BpclPasswordAudit");
            return (BpclPasswordAudit)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating BpclPasswordAudit : " + e2.getMessage(), 0);
        }
    }
    
    public BpclPasswordAudit createBpclPasswordAudit(final Map attributeValues) {
        return this.createBpclPasswordAudit(this.getSession().getSessionContext(), attributeValues);
    }
    
    public CashMemo createCashMemo(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("CashMemo");
            return (CashMemo)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating CashMemo : " + e2.getMessage(), 0);
        }
    }
    
    public CashMemo createCashMemo(final Map attributeValues) {
        return this.createCashMemo(this.getSession().getSessionContext(), attributeValues);
    }
    
    public CashMemoFileTracker createCashMemoFileTracker(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("CashMemoFileTracker");
            return (CashMemoFileTracker)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating CashMemoFileTracker : " + e2.getMessage(), 0);
        }
    }
    
    public CashMemoFileTracker createCashMemoFileTracker(final Map attributeValues) {
        return this.createCashMemoFileTracker(this.getSession().getSessionContext(), attributeValues);
    }
    
    public CODRefills createCODRefills(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("CODRefills");
            return (CODRefills)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating CODRefills : " + e2.getMessage(), 0);
        }
    }
    
    public CODRefills createCODRefills(final Map attributeValues) {
        return this.createCODRefills(this.getSession().getSessionContext(), attributeValues);
    }
    
    public Easysecs createEasysecs(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("Easysecs");
            return (Easysecs)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating Easysecs : " + e2.getMessage(), 0);
        }
    }
    
    public Easysecs createEasysecs(final Map attributeValues) {
        return this.createEasysecs(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgAutoPortability createLpgAutoPortability(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgAutoPortability");
            return (LpgAutoPortability)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgAutoPortability : " + e2.getMessage(), 0);
        }
    }
    
    public LpgAutoPortability createLpgAutoPortability(final Map attributeValues) {
        return this.createLpgAutoPortability(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGCommercialConnection createLPGCommercialConnection(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGCommercialConnection");
            return (LPGCommercialConnection)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGCommercialConnection : " + e2.getMessage(), 0);
        }
    }
    
    public LPGCommercialConnection createLPGCommercialConnection(final Map attributeValues) {
        return this.createLPGCommercialConnection(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGConnection createLPGConnection(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGConnection");
            return (LPGConnection)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGConnection : " + e2.getMessage(), 0);
        }
    }
    
    public LPGConnection createLPGConnection(final Map attributeValues) {
        return this.createLPGConnection(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGConnectionExportCronjob createLPGConnectionExportCronjob(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGConnectionExportCronjob");
            return (LPGConnectionExportCronjob)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGConnectionExportCronjob : " + e2.getMessage(), 0);
        }
    }
    
    public LPGConnectionExportCronjob createLPGConnectionExportCronjob(final Map attributeValues) {
        return this.createLPGConnectionExportCronjob(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgContactUpdate createLpgContactUpdate(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgContactUpdate");
            return (LpgContactUpdate)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgContactUpdate : " + e2.getMessage(), 0);
        }
    }
    
    public LpgContactUpdate createLpgContactUpdate(final Map attributeValues) {
        return this.createLpgContactUpdate(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgDBCRequest createLpgDBCRequest(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgDBCRequest");
            return (LpgDBCRequest)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgDBCRequest : " + e2.getMessage(), 0);
        }
    }
    
    public LpgDBCRequest createLpgDBCRequest(final Map attributeValues) {
        return this.createLpgDBCRequest(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgDeliveryAssistant createLpgDeliveryAssistant(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgDeliveryAssistant");
            return (LpgDeliveryAssistant)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgDeliveryAssistant : " + e2.getMessage(), 0);
        }
    }
    
    public LpgDeliveryAssistant createLpgDeliveryAssistant(final Map attributeValues) {
        return this.createLpgDeliveryAssistant(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGDistributorStaff createLPGDistributorStaff(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGDistributorStaff");
            return (LPGDistributorStaff)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGDistributorStaff : " + e2.getMessage(), 0);
        }
    }
    
    public LPGDistributorStaff createLPGDistributorStaff(final Map attributeValues) {
        return this.createLPGDistributorStaff(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGDomesticConnection createLPGDomesticConnection(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGDomesticConnection");
            return (LPGDomesticConnection)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGDomesticConnection : " + e2.getMessage(), 0);
        }
    }
    
    public LPGDomesticConnection createLPGDomesticConnection(final Map attributeValues) {
        return this.createLPGDomesticConnection(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGExemptConnection createLPGExemptConnection(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGExemptConnection");
            return (LPGExemptConnection)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGExemptConnection : " + e2.getMessage(), 0);
        }
    }
    
    public LPGExemptConnection createLPGExemptConnection(final Map attributeValues) {
        return this.createLPGExemptConnection(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgMechanicSR createLpgMechanicSR(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgMechanicSR");
            return (LpgMechanicSR)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgMechanicSR : " + e2.getMessage(), 0);
        }
    }
    
    public LpgMechanicSR createLpgMechanicSR(final Map attributeValues) {
        return this.createLpgMechanicSR(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LPGNextApiCreds createLPGNextApiCreds(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LPGNextApiCreds");
            return (LPGNextApiCreds)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LPGNextApiCreds : " + e2.getMessage(), 0);
        }
    }
    
    public LPGNextApiCreds createLPGNextApiCreds(final Map attributeValues) {
        return this.createLPGNextApiCreds(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgPaymentInfo createLpgPaymentInfo(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgPaymentInfo");
            return (LpgPaymentInfo)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgPaymentInfo : " + e2.getMessage(), 0);
        }
    }
    
    public LpgPaymentInfo createLpgPaymentInfo(final Map attributeValues) {
        return this.createLpgPaymentInfo(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgSafetyInspection createLpgSafetyInspection(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgSafetyInspection");
            return (LpgSafetyInspection)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgSafetyInspection : " + e2.getMessage(), 0);
        }
    }
    
    public LpgSafetyInspection createLpgSafetyInspection(final Map attributeValues) {
        return this.createLpgSafetyInspection(this.getSession().getSessionContext(), attributeValues);
    }
    
    public LpgUndeliveredReason createLpgUndeliveredReason(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("LpgUndeliveredReason");
            return (LpgUndeliveredReason)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating LpgUndeliveredReason : " + e2.getMessage(), 0);
        }
    }
    
    public LpgUndeliveredReason createLpgUndeliveredReason(final Map attributeValues) {
        return this.createLpgUndeliveredReason(this.getSession().getSessionContext(), attributeValues);
    }
    
    public NewConnections createNewConnections(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("NewConnections");
            return (NewConnections)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating NewConnections : " + e2.getMessage(), 0);
        }
    }
    
    public NewConnections createNewConnections(final Map attributeValues) {
        return this.createNewConnections(this.getSession().getSessionContext(), attributeValues);
    }
    
    public OperatorCODRefills createOperatorCODRefills(final SessionContext ctx, final Map attributeValues) {
        try {
            final ComposedType type = this.getTenant().getJaloConnection().getTypeManager().getComposedType("OperatorCODRefills");
            return (OperatorCODRefills)type.newInstance(ctx, attributeValues);
        }
        catch (final JaloGenericCreationException e) {
            final Throwable cause = e.getCause();
            throw (cause instanceof RuntimeException) ? ((Throwable)cause) : new JaloSystemException(cause, cause.getMessage(), e.getErrorCode());
        }
        catch (final JaloBusinessException e2) {
            throw new JaloSystemException((Throwable)e2, "error creating OperatorCODRefills : " + e2.getMessage(), 0);
        }
    }
    
    public OperatorCODRefills createOperatorCODRefills(final Map attributeValues) {
        return this.createOperatorCODRefills(this.getSession().getSessionContext(), attributeValues);
    }
    
    public static final BpcllpgcoreManager getInstance() {
        final ExtensionManager em = JaloSession.getCurrentSession().getExtensionManager();
        return (BpcllpgcoreManager)em.getExtension("bpcllpgcore");
    }
    
    public String getName() {
        return "bpcllpgcore";
    }
    
    public Long getMaxProcessTimeInMs(final SessionContext ctx, final CronJob item) {
        return (Long)item.getProperty(ctx, GeneratedBpcllpgcoreConstants.Attributes.ProcessPendingRefillCronjob.MAXPROCESSTIMEINMS);
    }
    
    public Long getMaxProcessTimeInMs(final ProcessPendingRefillCronjob item) {
        return this.getMaxProcessTimeInMs(this.getSession().getSessionContext(), (CronJob)item);
    }
    
    public long getMaxProcessTimeInMsAsPrimitive(final SessionContext ctx, final ProcessPendingRefillCronjob item) {
        final Long value = this.getMaxProcessTimeInMs(ctx, (CronJob)item);
        return (value != null) ? value : 0L;
    }
    
    public long getMaxProcessTimeInMsAsPrimitive(final ProcessPendingRefillCronjob item) {
        return this.getMaxProcessTimeInMsAsPrimitive(this.getSession().getSessionContext(), item);
    }
    
    public void setMaxProcessTimeInMs(final SessionContext ctx, final CronJob item, final Long value) {
        item.setProperty(ctx, GeneratedBpcllpgcoreConstants.Attributes.ProcessPendingRefillCronjob.MAXPROCESSTIMEINMS, (Object)value);
    }
    
    public void setMaxProcessTimeInMs(final ProcessPendingRefillCronjob item, final Long value) {
        this.setMaxProcessTimeInMs(this.getSession().getSessionContext(), (CronJob)item, value);
    }
    
    public void setMaxProcessTimeInMs(final SessionContext ctx, final ProcessPendingRefillCronjob item, final long value) {
        this.setMaxProcessTimeInMs(ctx, (CronJob)item, value);
    }
    
    public void setMaxProcessTimeInMs(final ProcessPendingRefillCronjob item, final long value) {
        this.setMaxProcessTimeInMs(this.getSession().getSessionContext(), item, value);
    }
    
    static {
        final Map<String, Map<String, Item.AttributeMode>> ttmp = new HashMap<String, Map<String, Item.AttributeMode>>();
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("maxProcessTimeInMs", Item.AttributeMode.INITIAL);
        ttmp.put("com.bpcl.core.jalo.ProcessPendingRefillCronjob", Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp));
        DEFAULT_INITIAL_ATTRIBUTES = ttmp;
    }
}
